%global momorel 3
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: KDE library based on exiv2 library for manipulating EXIF information embedded in images
Name: libkexiv2
Version: 0.1.7
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://extragear.kde.org/apps/kipi/
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/kipi/%{name}-%{version}.tar.bz2 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: exiv2-devel >= 0.17
BuildPreReq: pkgconfig

%description
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures metadata.
This library is used by kipi-plugins, digiKam and others kipi host programs.
The library documentation is available on kexiv2.h header file.

%package devel
Summary: Static libraries and headers for libkexiv2
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
libkexiv2 contains the libraries and header files needed to
develop programs which make use of libkexif.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir}/kde \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/kde/libkexiv2
%{_libdir}/pkgconfig/libkexiv2.pc
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Mon Jun  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.7-3m)
- rebuild against exiv2-0.17

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.7-2m)
- rebuild against qt3

* Fri Apr 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.7-1m)
- version 0.1.7

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.6-6m)
- rebuild against gcc43

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.6-5m)
- move headers to %%{_includedir}/kde

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.6-4m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.6-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.6-2m)
- rebuild against exiv2-0.16

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.6-1m)
- version 0.1.6
- License: GPLv2

* Sun May 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-1m)
- version 0.1.5

* Wed May  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-1m)
- version 0.1.4

* Fri Apr 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-2m)
- rebuild against exiv2-0.14

* Sun Apr 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-1m)
- version 0.1.2

* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-3m)
- clean up spec file

* Mon Mar  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-2m)
- rebuild against exiv2-0.13

* Sun Feb 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- version 0.1.1

* Wed Feb 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-1m)
- initial package for digikam-0.9.1
